Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Fix for SGI Decode buffer overrun #5173

Merged
merged 3 commits into from Jan 2, 2021
Merged

Fix for SGI Decode buffer overrun #5173

merged 3 commits into from Jan 2, 2021

Conversation

@radarhere
Copy link
Member

@radarhere radarhere commented Jan 2, 2021

CVE-2020-35655, 4 Byte Read Overflow in SGIRleDecode.c, where the code was not correctly checking the offsets and length tables. Independently reported through Tidelift and Google's OSS-Fuzz. This vulnerability covers Pillow versions 4.3.0->8.0.1.

wiredfool and others added 3 commits Jan 2, 2021
* Independently found by a contributor and sent to Tidelift, and by Google's OSS Fuzz.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

2 participants